// creator  : weidu.exe (version 23100)
// argument : KELDO25J.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~KELDO25J~

IF ~~ THEN BEGIN 0 // from:
  SAY #67874 /* ~To become a power that would walk the planes at will... I cannot imagine facing such a choice myself, <CHARNAME>, and I do not envy you the task.~ [KELD2515] */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #67875 /* ~Were the choice my own, however... I would not leave behind my beloved Maria and both my children forever.  I could not endure it.  And the thought of dealing with the evil taint as you do... no, it would not be for me.~ [KELD2516] */
  IF ~True()~ THEN EXTERN ~FINSOL01~ 28
  IF ~IsValidForPartyDialog("Valygar")
Global("ValygarRomanceActive","GLOBAL",2)~ THEN EXTERN ~VALYG25J~ 3
  IF ~IsValidForPartyDialog("Anomen")
Global("AnomenRomanceActive","GLOBAL",2)~ THEN EXTERN ~ANOME25J~ 11
  IF ~IsValidForPartyDialog("Viconia")
Global("ViconiaRomanceActive","GLOBAL",2)~ THEN EXTERN ~VICON25J~ 8
  IF ~IsValidForPartyDialog("Aerie")
Global("AerieRomanceActive","GLOBAL",2)~ THEN EXTERN ~AERIE25J~ 9
  IF ~IsValidForPartyDialog("Jaheira")
Global("JaheiraRomanceActive","GLOBAL",2)~ THEN EXTERN ~JAHEI25J~ 9
  IF ~IsValidForPartyDialog("Valygar")
!Global("ValygarRomanceActive","GLOBAL",2)~ THEN EXTERN ~VALYG25J~ 2
  IF ~IsValidForPartyDialog("Anomen")
!Global("AnomenRomanceActive","GLOBAL",2)~ THEN EXTERN ~ANOME25J~ 10
  IF ~IsValidForPartyDialog("Viconia")
!Global("ViconiaRomanceActive","GLOBAL",2)~ THEN EXTERN ~VICON25J~ 6
  IF ~IsValidForPartyDialog("Aerie")
!Global("AerieRomanceActive","GLOBAL",2)~ THEN EXTERN ~AERIE25J~ 7
  IF ~IsValidForPartyDialog("Jaheira")
!Global("JaheiraRomanceActive","GLOBAL",2)~ THEN EXTERN ~JAHEI25J~ 7
  IF ~IsValidForPartyDialog("Imoen2")~ THEN EXTERN ~IMOEN25J~ 15
  IF ~IsValidForPartyDialog("Sarevok")
!Alignment("Sarevok",MASK_EVIL)~ THEN EXTERN ~SAREV25J~ 2
  IF ~IsValidForPartyDialog("Sarevok")
Alignment("Sarevok",MASK_EVIL)~ THEN EXTERN ~SAREV25J~ 3
  IF ~IsValidForPartyDialog("Minsc")~ THEN EXTERN ~MINSC25J~ 0
  IF ~IsValidForPartyDialog("Nalia")~ THEN EXTERN ~NALIA25J~ 1
  IF ~IsValidForPartyDialog("HaerDalis")~ THEN EXTERN ~HAERD25J~ 1
  IF ~IsValidForPartyDialog("Jan")~ THEN EXTERN ~JAN25J~ 3
  IF ~IsValidForPartyDialog("Cernd")~ THEN EXTERN ~CERND25J~ 0
  IF ~IsValidForPartyDialog("Mazzy")~ THEN EXTERN ~MAZZY25J~ 0
  IF ~IsValidForPartyDialog("Edwin")~ THEN EXTERN ~EDWIN25J~ 0
  IF ~IsValidForPartyDialog("Korgan")~ THEN EXTERN ~KORGA25J~ 2
END

IF ~~ THEN BEGIN 2 // from:
  SAY #70381 /* ~I sympathize with this man, but his daughter did break the law.~ */
  IF ~~ THEN EXTERN ~AMMAYOR~ 6
  IF ~IsValidForPartyDialog("Nalia")~ THEN EXTERN ~NALIA25J~ 4
END

IF ~~ THEN BEGIN 3 // from:
  SAY #70386 /* ~I know our mission is of great importance, <CHARNAME>, but I do not approve of dealing with these... criminals.~ */
  IF ~~ THEN EXTERN ~AMCARRAS~ 13
  IF ~IsValidForPartyDialog("Edwin")~ THEN EXTERN ~EDWIN25J~ 1
END

IF ~~ THEN BEGIN 4 // from:
  SAY #70409 /* ~Odren and his followers deserve to die for this betrayal!  Their actions are a disgrace to all who follow Helm's teachings!~ */
  IF ~~ THEN EXTERN ~GORAPP1~ 7
END

IF ~~ THEN BEGIN 5 // from: JAHEI25J:30.1
  SAY #70482 /* ~You... you bring such an animal amongst us, without any sort of restraint?  I am... uncomfortable with such an arrangement.  How can you trust this man?~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #70500 /* ~There is... something here, <CHARNAME>.  Something I cannot quite put a name to.  It is unsettling, but I... I do not think it is evil.~ */
  IF ~~ THEN EXTERN ~GORDEMO~ 2
END

IF ~~ THEN BEGIN 7 // from:
  SAY #70505 /* ~I have no wish to trick Odren despite what he may or may not have done.  I suggest we speak to him, if nothing else, rather than... comply with this 'thing'.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 8 // from:
  SAY #70519 /* ~Unable?  This must be a cause of concern, then, for the Watcher god is unforgiving to those who do not perform as he requires.~ */
  IF ~~ THEN EXTERN ~GORODR1~ 8
END

IF ~~ THEN BEGIN 9 // from:
  SAY #70532 /* ~You should be ashamed of your actions, priest!  You knew what we would face all along!!~ */
  IF ~~ THEN EXTERN ~GORODR1~ 35
END

IF ~~ THEN BEGIN 10 // from:
  SAY #70554 /* ~Quiet the madness in your mind, elf.  I can only imagine the horrors your eyes have seen... but I ask you to look closely at me.  I am no demon, I swear by Torm's name.~ */
  IF ~~ THEN EXTERN ~GORMAD1~ 11
END

IF ~~ THEN BEGIN 11 // from:
  SAY #71311 /* ~Bodies in the streets... young women hawking sin... what type of town is this?~ */
  IF ~~ THEN EXTERN ~SARPRO01~ 2
  IF ~IsValidForPartyDialog("HaerDalis")~ THEN EXTERN ~HAERD25J~ 14
  IF ~IsValidForPartyDialog("Nalia")~ THEN EXTERN ~NALIA25J~ 11
END

IF ~~ THEN BEGIN 12 // from: MAZZY25J:8.4 JAHEI25J:38.4
  SAY #71445 /* ~<CHARNAME>!  I have long suspected you were an evil blight upon the earth... this confirms it!  Your villainy shall not go unpunished!~ */
  IF ~True()~ THEN DO ~LeaveParty()
Enemy()~ EXIT
  IF ~IsValidForPartyDialog("Korgan")~ THEN DO ~LeaveParty()
Enemy()~ EXTERN ~KORGA25J~ 12
  IF ~IsValidForPartyDialog("Viconia")~ THEN DO ~LeaveParty()
Enemy()~ EXTERN ~VICON25J~ 32
  IF ~IsValidForPartyDialog("Edwin")~ THEN DO ~LeaveParty()
Enemy()~ EXTERN ~EDWIN25J~ 9
END

IF ~~ THEN BEGIN 13 // from:
  SAY #71633 /* ~A statue?!  They wouldn't do such an absurd thing, would they?  I am no hero to deserve such lauds.  Come, <CHARNAME>... let us leave this writer to his fictions.~ */
  IF ~~ THEN EXTERN ~SARVOLO~ 9
END

IF ~~ THEN BEGIN 14 // from:
  SAY #72365 /* ~<CHARNAME>!  I have long suspected you were an evil blight upon the earth... this confirms it!  All who stand for what is right and true join me in defending this innocent woman against <CHARNAME>'s vile attack!~ */
  IF ~~ THEN DO ~ActionOverride("Keldorn",LeaveParty())
ActionOverride("Keldorn",Enemy())
ActionOverride("Mazzy",LeaveParty())
ActionOverride("Mazzy",Enemy())
ActionOverride("Jaheira",LeaveParty())
ActionOverride("Jaheira",Enemy())
ActionOverride("Minsc",LeaveParty())
ActionOverride("Minsc",Enemy())
ActionOverride("Valygar",LeaveParty())
ActionOverride("Valygar",Enemy())~ EXIT
END

IF ~~ THEN BEGIN 15 // from:
  SAY #72465 /* ~The words of this foul cretin are an affront to my very ears!  <CHARNAME>, surely you cannot tolerate this villain and his unscrupulous offers!~ */
  IF ~~ THEN REPLY #72466 /* ~Settle down, Keldorn.  This will all turn out okay.~ */ GOTO 16
  IF ~~ THEN REPLY #72467 /* ~The last thing I need is a lecture from a washed up old geezer like you!~ */ GOTO 17
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY #72468 /* ~You have earned my trust through our shared deeds, <CHARNAME>.  Therefore I shall exercise patience in this matter.~ */
  IF ~~ THEN EXTERN ~SARKIS01~ 34
END

IF ~~ THEN BEGIN 17 // from: MAZZY25J:12.1 MAZZY25A:13.1 15.1 JAHEI25J:44.1
  SAY #72469 /* ~You are nothing but a cur!  <CHARNAME>, the <PRO_LADYLORD> of all that is rotten and vile!  My honor demands that I leave your company at once!~ */
  IF ~~ THEN DO ~LeaveParty()
EscapeArea()
~ EXTERN ~SARKIS01~ 34
END

IF ~~ THEN BEGIN 18 // from:
  SAY #72570 /* ~Kobolds spread like vermin, <CHARNAME>.  Even though it may be beneath us, we should stamp out their nest.~ */
  IF ~~ THEN EXTERN ~BAZEYE01~ 13
  IF ~IsValidForPartyDialog("Minsc")~ THEN EXTERN ~MINSC25J~ 13
  IF ~IsValidForPartyDialog("Korgan")~ THEN EXTERN ~KORGA25J~ 15
END
